#ifndef TSOS_DRV_VGA_SCREEN
#define TSOS_DRV_VGA_SCREEN

#include "kernel/ktypes.h"
#include "kernel/drivers/ports/ports.h"


#define VMEM_ADDRESS 0xb8000
#define VMEM_BUF ((byte*)VMEM_ADDRESS)
#define MAX_ROWS 25
#define MAX_COLS 80
#define SCREEN_SIZE MAX_ROWS * MAX_COLS
#define LIGHT_GREY_ON_BLACK 0x07
#define RED_ON_WHITE 0xf4
#define VGA_TABSIZE 4

// VGA I/O ports
#define REG_SCREEN_CTRL 0x3d4
#define REG_SCREEN_DATA 0x3d5



// Public API
void clearScreen(void);
void kprintAt(char* message, i32 col, i32 row);
void kprint(char* message);


#endif